Subject: Need some help with git rebase

From: Sylvain RABOT <[email-masked]>
Date: Mon, 28 Dec 2009 14:33:27 +0100

Hello everybody,

I'm trying to backport a feature branch which is based on the master 
branch into another branch also based on master but older :

                         a--a--a--a--a--a--a--a--a feature
                        /
--x--x--x--x--x--x--x--x--x--x--x--x master
   \
    o--o--o--o--o--o--o 12.72.1

This is what I would like :

                         a--a--a--a--a--a--a--a--a feature
                        /
--x--x--x--x--x--x--x--x--x--x--x--x master
   \
    o--o--o--o--o--o--o--a--a--a--a--a--a--a--a--a 12.72.1

And this is what I get with git rebase --onto 12.72.1 master feature
   
    o--o--o--o--o--o--o--a--a--a--a--a--a--a--a--a feature
   /
--x--x--x--x--x--x--x--x--x--x--x--x master
   \
    o--o--o--o--o--o--o--a--a--a--a--a--a--a--a--a 12.72.1

Can you exlain to me what I need to do to get what I expect.

Best regards.

-- 
Sylvain